Bug 178236 - Boot process hangs at hald step
Boot process hangs at hald step
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: hal (Show other bugs)
4.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Richard Hughes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-18 14:06 EST by jeff_w_green
Modified: 2012-06-20 11:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:54:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jeff_w_green 2006-01-18 14:06:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:
Hi,

   Trying to installing RHEL 4 32-bit on a brand new DELL 2850 Server
(twin processor).

Install from CD works fine, gives a 2.6.9-5.ELsmp kernel after final reboot.

I then register the system in RHN and run up2date, etc which then downloads
c.a. 400 MB of updates for kernel, kernel-smp and kernel-utils streams.

After rebooting to use the new kernel, I get the normal boot sequence
with a 2.6.9-22-0.2.ELsmp kernel. 

All goes fine until hald starts and then the system hangs.

Also a load of "crud" (scrunched up bitmaps / images) appears on the top line
of the console.

Either it's the hald process or the update has clobbered the
Xserver settings +/or graphics device driver.

Help please.


Version-Release number of selected component (if applicable):
kernel-2.6.9-22-0.2.ELsmp

How reproducible:
Always

Steps to Reproduce:
1.install RHEL 4 32 bit
2.register system
3. run up2date
  

Additional info:
Comment 1 Chuck Buda 2006-02-07 13:33:33 EST
I'm having the exact same problem on a IBM x260 server after I do the up2date. 
The bootup screen gets to Starting HAL daemon [OK], then the server freezes.  I
can get the system to boot into single user mode fine.

I need a fix or workaround ASAP.

Thanks!
Comment 2 John (J5) Palmieri 2006-02-07 14:16:11 EST
A quick workaround would be to boot into single user mode and turn off HAL in
the runlevel you are using.  HAL is mostly used by desktop applications.  I
would suggest going through your support reps as they can troubleshoot the exact
issue much faster than I can through bugzilla.  It might not even be a HAL as
hal might be the last thing that was printed successfully to the screen.

Try a couple of things - reboot in run level 3 (no X) - if that boots fine with
HAL it is most likely an X driver problem.

Try rebooting with the haldaemon service turned off - if it still freezes it is
something else.
Comment 3 chris 2006-03-10 03:02:57 EST
I've the same problem with the HAL-Daemon.
I use a PCI IDE/Raid Controller and if there is a hard disk connected, the
bootup process hang!
If no hard disk is on this controller or the HAL-Daemon is of during the
boot-process, all is ok.
Are there any solutions?
Comment 4 David R. Hoodenpyle 2006-03-14 15:51:29 EST
I had the same problem on a Dell 2850.  The process hangs just before going into
X.  Sometimes it would work after 3-5 reboots.  The fix was to download the
Dells r7000_RH_A09.tar.gz file, which had updates for the XOrg-x11 and FreeX86.
Comment 5 Jiri Pallich 2012-06-20 11:54:39 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.